## epigrass 2.5.0+dfsg

=== requirements.txt ===
six
numpy>=1.2
networkx>=1.1
redis>=2.4
SQLAlchemy>=0.7
sqlsoup>=0.9
requests
requests-toolbelt
sphinx>1.0
matplotlib
PyMySQL
sqlobject
cython
tqdm

## epigrass 2.0.1~dfsg

=== debian/changelog ===
epigrass (2.0.1~dfsg-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.4 (no changes needed)
  * debian/orig-tar.sh: Do not only exclude sourceless PDF file
    but also remove cruft (*.pyc, *~) from tarball which is deleted
    by clean target anyway and breaks build process if it remains in
    tarball
  * debian/patches/series: Do not apply setup.diff any more because
    the affected line is commented in new upstream setup.py so it
    seems to become useless
  * Standards-Version: 3.8.4 (no changes needed)
  * Depends: python-sqlobject (>= 0.12)
  * debian/source/format: 3.0 (quilt)
  * debian/{epirunner,epgeditor}.1: Man pages for new tools

 -- Andreas Tille <tille@debian.org>  Thu, 25 Mar 2010 08:04:17 +0100

epigrass (2.0b3~dfsg-2) unstable; urgency=low

  * Fixed watch file
  * Standards-Version: 3.8.3 (no changes needed)
  * Bumped versioned Depends python-qwt5-qt4 (>= 5.2.0) (otherwise
    epigrass is crashing)

 -- Andreas Tille <tille@debian.org>  Tue, 06 Oct 2009 14:18:27 +0200

epigrass (2.0b3~dfsg-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream release (LP: #271789).
  * debian/control:
    - Switch to debhelper 7 (also in debian/compat). 
    - Dropped versionned dependency on CDBS (satisfied even in oldstable)
    - Incremented Standards-Version to 3.8.1 to reflect concordance with
      latest Policy (added README.source).
    - Added myself to the Uploaders.
    - Suggests: grass.
    - Depends: python-qt4-gl (instead of python-qt3) and python-qwt5-qt4.
  * debian/watch: updated to look in the Python Package Index.
  * debian/patches refreshed and documented:
    - desktop.diff: added MedicalSoftware category and kept Education because
      at least one Main Category must be supported.
    - setup.diff (deletion of sourceless documentation).
    - sqlite3.diff (purpose not understood yet).
  * debian/copyright updated and converted to machine-readable format
  * debian/reference copied from http://www.scfbm.org/content/3/1/3/citation
    and abstract (CC-BY-2.0) removed.

  [ Andreas Tille ]
  * Added myself to Uploaders
  * debian/watch: dversionmangle
  * debian/orig-tar.sh: Append '~dfsg' to upstream version

  [ Varun Hiremath ]
  * debian/control: Add versioned depends on python-qwt5-qt4 (>=
    5.1.0.dfsg-2), which fixes a bug related to Qwt import.

 -- Varun Hiremath <varun@debian.org>  Thu, 07 May 2009 22:51:36 -0400

epigrass (1.5.1-4) unstable; urgency=low

  * debian/control:
    - Depends on python-matplotlib (Closes: #509863, LP: #295625).
    - Added myself to Uploaders.

 -- Charles Plessy <plessy@debian.org>  Sun, 28 Dec 2008 13:32:04 +0100

epigrass (1.5.1-3) unstable; urgency=low

  * Change Build-Depends: python-central (>= 0.6.0) (Closes: #472034)
  * debian/rules: Support new directory structure of python-central

 -- Varun Hiremath <varun@debian.org>  Sat, 22 Mar 2008 21:12:49 +0530

epigrass (1.5.1-2) unstable; urgency=low

  * Move package to debian-med on alioth
  * Set Debian-Med Packaging Team as Maintainer
  * Add myself and Torsten to Uploaders
  * Set new Vcs-{Svn, Browser} and Homepage headers
  * Bump Standards-Version to 3.7.3
  * Add desktop.diff patch to fix upstream desktop file
  * Add some missing dependencies
  * Cleanup debian/rules

 -- Varun Hiremath <varun@debian.org>  Wed, 27 Feb 2008 21:59:52 +0530

epigrass (1.5.1-1) unstable; urgency=low

  * new upstream version

 -- Torsten Werner <twerner@debian.org>  Fri, 05 Oct 2007 21:32:41 +0200

epigrass (1.4.7-1) unstable; urgency=low

  * Initial release (Closes: #401577)

 -- Varun Hiremath <varunhiremath@gmail.com>  Mon,  4 Dec 2006 23:54:51 +0530

=== debian/control ===
Source: epigrass
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>,
           Varun Hiremath <varun@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7), cdbs, python,
 python-setuptools, python-central (>= 0.6.0), quilt, python-virtualenv
Standards-Version: 3.8.4
XS-Python-Version: current
Homepage: http://epigrass.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/epigrass/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/epigrass/trunk/?rev=0&sc=0

Package: epigrass
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-sqlobject (>= 0.12), python-visual, python-qt4-gl, python-qwt5-qt4 (>= 5.2.0),
 python-numpy, python-gdal, python-visual, python-formencode, python-mysqldb,
 python-pysqlite2, python-matplotlib
XB-Python-Version: ${python:Versions}
Suggests: grass
Description: scientific tool for simulations and scenario analysis in network epidemiology
 Epigrass is a software for visualizing, analyzing and simulating of
 epidemic processes on geo-referenced networks.
 .
 EpiGrass can interact with the GRASS GIS from which it can obtain
 maps and other geo-referenced information. However, EpiGrass does not
 require an installation of the GRASS GIS for most of its features.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral
DEB_COMPRESS_EXCLUDE := .py .epg .csv

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

LIBDIR := /usr/share/pyshared/

clean::
	rm -f setuptools-0.6c9-py2.5.egg

binary/epigrass::
	ln -s /usr/share/pyshared/support-files/setuptools-0.6c9-py2.5.egg

binary-predeb/epigrass::
	$(RM) $(DEB_DESTDIR)/usr/bin/epigrass.py
	chmod +x $(DEB_DESTDIR)/usr/bin/epigrass
	find $(DEB_DESTDIR)$(LIBDIR) -type f | xargs sed -i '/^#!/d'
	find $(DEB_DESTDIR)$(LIBDIR) -type f | xargs chmod -x

get-orig-source:
	uscan --upstream-version 0

=== debian/watch ===
version=3
opts="dversionmangle=s/([\d.abc]+)~dfsg/$1/" \
http://pypi.python.org/packages/source/e/epigrass/epigrass-(.*).tar.gz  debian debian/orig-tar.sh
# Sources will come back on SourceForge later. In the meantime, they are there:
# http://sf.net/epigrass/ epigrass-(.*).tar.gz \
#  debian debian/orig-tar.sh

## epigrass 2.0.3

=== debian/changelog ===
epigrass (2.0.3-1) unstable; urgency=low

  * New upstream version
  * Upstream source now includes source for the PDF documentation
    and thus there is no need for stripping the source tarball any
    more.
    -> rm debian/orig-tar.sh, adapted debian/watch
    -> rm debian/README.Debian which talks about missing source for doc
  * debian/patches/desktop.diff: removed, because debian/epigras.desktop
    is used anyway instead of the patched upstream desktop file
  * debian/control: additional package epigrass-doc
    - Standards-Version: 3.9.0 (no changes needed)
    - Increased versioned debhelper dependency to >= 7.1
    - Increase version numnber of python-sqlobject to >= 0.12.4-2
      before in a former version egg info was broken
    - Depends: python-networkx
  * Replace debian/references by debian/upstream-metadata.yaml
  * debian/rules: Do not try to edit pyshared files

 -- Andreas Tille <tille@debian.org>  Fri, 09 Jul 2010 14:46:45 +0200

=== debian/control ===
Source: epigrass
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>,
           Varun Hiremath <varun@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7.1), cdbs, python,
 python-setuptools, python-support, quilt, python-virtualenv
Standards-Version: 3.9.0
XS-Python-Version: current
Homepage: http://epigrass.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/epigrass/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/epigrass/trunk/?rev=0&sc=0

Package: epigrass
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-sqlobject (>= 0.12.4-2), python-visual, python-qt4-gl, python-qwt5-qt4 (>= 5.2.0),
 python-numpy, python-gdal, python-visual, python-formencode, python-mysqldb,
 python-pysqlite2, python-matplotlib, python-networkx
XB-Python-Version: ${python:Versions}
Suggests: grass, epigrass-doc
Description: scientific tool for simulations and scenario analysis in network epidemiology
 Epigrass is a software for visualizing, analyzing and simulating of
 epidemic processes on geo-referenced networks.
 .
 EpiGrass can interact with the GRASS GIS from which it can obtain
 maps and other geo-referenced information. However, EpiGrass does not
 require an installation of the GRASS GIS for most of its features.

Package: epigrass-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: epigrass
Description: Documentation for EpiGrass, a network epidemiology tool
 Epigrass is a software for visualizing, analyzing and simulating of
 epidemic processes on geo-referenced networks.
 .
 EpiGrass can interact with the GRASS GIS from which it can obtain
 maps and other geo-referenced information. However, EpiGrass does not
 require an installation of the GRASS GIS for most of its features.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pysupport
DEB_COMPRESS_EXCLUDE := .py .epg .csv .pdf

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

clean::
	# *.pyc files should be cleaned in principle, but are part of upstream tarball
	# rm -f Epigrass/*.pyc

install/epigrass::
	mkdir -p $(CURDIR)/debian/tmp/usr/share/applications
	cp -a debian/epigrass.desktop $(CURDIR)/debian/tmp/usr/share/applications

binary-predeb/epigrass::
	$(RM) $(DEB_DESTDIR)/usr/bin/epigrass.py
	chmod +x $(DEB_DESTDIR)/usr/bin/epigrass

get-orig-source:
	uscan --upstream-version 0

## epigrass 2.0.4

=== debian/changelog ===
epigrass (2.0.4-3) unstable; urgency=low

  * debian/control: Homepage has changed to
    http://pypi.python.org/pypi/epigrass/
  * debian/copyright:
     - some adaptations to DEP5
     - New download location
  * debian/epigrass.links:  Link to usable icon for desktop file
    Closes: #640005

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2011 15:28:35 +0200

epigrass (2.0.4-2) unstable; urgency=low

  * debian/control: Depends: python-pkg-resources
    Closes: #640098
  * Standards-Version: 3.9.2 (no changes needed)
  * Fixed Vcs fields
  * Debhelper 8 (control+compat)
  * debian/rules: Switch to dh_python2

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2011 14:54:25 +0200

epigrass (2.0.4-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Standards-Version: 3.9.1 (no changes needed)
    - Removed XS-Python-Version fields which is unneeded if using pysupport

 -- Andreas Tille <tille@debian.org>  Tue, 23 Nov 2010 11:55:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,19 @@
            Varun Hiremath <varun@debian.org>,
            Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 7.1), cdbs, python,
+Build-Depends: debhelper (>= 8), python (>= 2.6),
  python-setuptools, python-support, quilt, python-virtualenv
-Standards-Version: 3.9.0
-XS-Python-Version: current
-Homepage: http://epigrass.sourceforge.net/
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/epigrass/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/epigrass/trunk/?rev=0&sc=0
+Standards-Version: 3.9.2
+Homepage: http://pypi.python.org/pypi/epigrass/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/epigrass/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/epigrass/trunk/
 
 Package: epigrass
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python-sqlobject (>= 0.12.4-2), python-visual, python-qt4-gl, python-qwt5-qt4 (>= 5.2.0),
  python-numpy, python-gdal, python-visual, python-formencode, python-mysqldb,
- python-pysqlite2, python-matplotlib, python-networkx
-XB-Python-Version: ${python:Versions}
+ python-pysqlite2, python-matplotlib, python-networkx, python-pkg-resources
 Suggests: grass, epigrass-doc
 Description: scientific tool for simulations and scenario analysis in network epidemiology
  Epigrass is a software for visualizing, analyzing and simulating of
@@ -44,4 +42,3 @@
  require an installation of the GRASS GIS for most of its features.
  .
  This package contains the documentation.
-

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt --with python2

# override_dh_clean:
	# *.pyc files should be cleaned in principle, but are part of upstream tarball
	# rm -f Epigrass/*.pyc

get-orig-source:
	uscan --upstream-version 0

## epigrass 2.2.2

=== debian/changelog ===
epigrass (2.2.2-2) unstable; urgency=low

  * rebuild and remove dependency on python-sqlalchemy<0.8 (Closes: #715433) 

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 14 Jul 2013 17:00:00 +0200

epigrass (2.2.2-1) unstable; urgency=low

  * new upstream version
  * debian/control: Standards-Version: 3.9.4 (no changes needed)
  * debian/control: swith to dh 9
  * debian/rules: make get-orig-source compatible with svn-buildpackage
  * debian/control: remove duplicate Depends: on python-visual
  * debian/control: remove dependency on quilt
  * debian/control: add new dependency on python-visual
  * debian/copyright: add correct Format: line

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 16 May 2013 17:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Torsten Werner <twerner@debian.org>,
            Varun Hiremath <varun@debian.org>,
            Charles Plessy <plessy@debian.org>,
-           Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), python (>= 2.6),
- python-setuptools, python-support, quilt, python-virtualenv
-Standards-Version: 3.9.2
+           Andreas Tille <tille@debian.org>,
+           Thorsten Alteholz <debian@alteholz.de>
+Build-Depends: debhelper (>= 9), python (>= 2.6),
+ python-setuptools, python-support, python-virtualenv
+Standards-Version: 3.9.4
 Homepage: http://pypi.python.org/pypi/epigrass/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/epigrass/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/epigrass/trunk/
@@ -17,8 +18,9 @@
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python-sqlobject (>= 0.12.4-2), python-visual, python-qt4-gl, python-qwt5-qt4 (>= 5.2.0),
- python-numpy, python-gdal, python-visual, python-formencode, python-mysqldb,
- python-pysqlite2, python-matplotlib, python-networkx, python-pkg-resources
+ python-numpy, python-gdal, python-formencode, python-mysqldb,
+ python-pysqlite2, python-matplotlib, python-networkx, python-pkg-resources,
+ python-sqlalchemy
 Suggests: grass, epigrass-doc
 Description: scientific tool for simulations and scenario analysis in network epidemiology
  Epigrass is a software for visualizing, analyzing and simulating of

## epigrass 2.3.1

=== debian/changelog ===
epigrass (2.3.1-1) unstable; urgency=low

  [ Thorsten Alteholz ]
  * new upstream version
  * debian/control: change VCS-* according to lintian
  * debian/control: new dependency on redis-server needed
  * debian/copyright: take care of lintian complaints
  * debian/epigrass.desktop: add keywords from debtags of package

  [ Andreas Tille ]
  * Adapted patches to latest upstream version (remove redis-version.patch)
  * Upload new version since python-sqlsoup is available
    Closes: #717738
  * Fixed typo in manpage

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2013 09:10:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,40 @@
            Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
            Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 9), python (>= 2.6),
- python-setuptools, python-support, python-virtualenv
+Build-Depends: debhelper (>= 9), 
+ python (>= 2.6),
+ python-setuptools, 
+ python-support, 
+ python-virtualenv,
+ python-sqlsoup,
+ python-redis
 Standards-Version: 3.9.4
 Homepage: http://pypi.python.org/pypi/epigrass/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/epigrass/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/epigrass/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/epigrass/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/epigrass/trunk/
 
 Package: epigrass
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- python-sqlobject (>= 0.12.4-2), python-visual, python-qt4-gl, python-qwt5-qt4 (>= 5.2.0),
- python-numpy, python-gdal, python-formencode, python-mysqldb,
- python-pysqlite2, python-matplotlib, python-networkx, python-pkg-resources,
- python-sqlalchemy
-Suggests: grass, epigrass-doc
+ python-sqlobject (>= 0.12.4-2), 
+ python-visual, 
+ python-qt4-gl, 
+ python-qwt5-qt4 (>= 5.2.0),
+ python-numpy, 
+ python-gdal, 
+ python-formencode, 
+ python-mysqldb,
+ python-pysqlite2, 
+ python-matplotlib, 
+ python-networkx, 
+ python-pkg-resources,
+ python-sqlalchemy,
+ python-sqlsoup,
+ python-redis,
+ redis-server
+Suggests: grass, 
+ epigrass-doc,
+ kate
 Description: scientific tool for simulations and scenario analysis in network epidemiology
  Epigrass is a software for visualizing, analyzing and simulating of
  epidemic processes on geo-referenced networks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

# override_dh_clean:
	# *.pyc files should be cleaned in principle, but are part of upstream tarball
	# rm -f Epigrass/*.pyc

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs

=== debian/watch ===
version=3
# opts="dversionmangle=s/([\d.abc]+)~dfsg/$1/" \
http://pypi.python.org/packages/source/e/epigrass/epigrass-(.*).tar.gz
# Sources will come back on SourceForge later. In the meantime, they are there:
# http://sf.net/epigrass/ epigrass-(.*).tar.gz \

## epigrass 2.4.0

=== debian/changelog ===
epigrass (2.4.0-4) unstable; urgency=medium

  * Rebuild due to transition of sqlalchemy

 -- Andreas Tille <tille@debian.org>  Sun, 02 Aug 2015 18:34:07 +0200

epigrass (2.4.0-3) unstable; urgency=medium

  * Fix watch file
  * cme fix dpkg-control
  * switch from python-support to pybuild
    Closes: #786153
  * Fix link to icon location
  * DEP5 syntax

 -- Andreas Tille <tille@debian.org>  Wed, 20 May 2015 22:55:34 +0200

epigrass (2.4.0-2) unstable; urgency=medium

  * Fix identation issue in manager.py
    Closes: #749533

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jun 2014 14:14:22 +0200

epigrass (2.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 21 May 2014 11:10:43 +0200

epigrass (2.3.1-2) unstable; urgency=medium

  * debian/upstream -> debian/upstream/metadata
  * Rebuild with SQLAlchemy 0.9
    Closes: #741909
  * cme fix dpkg-control
  * Removed inactive Uploaders

 -- Andreas Tille <tille@debian.org>  Mon, 17 Mar 2014 13:26:12 +0100

=== debian/control ===
Source: epigrass
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Thorsten Alteholz <debian@alteholz.de>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               python-setuptools,
               python-virtualenv,
               python-sqlsoup,
               python-redis
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/epigrass/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/epigrass/trunk/
Homepage: http://pypi.python.org/pypi/epigrass/

Package: epigrass
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-sqlobject,
         python-visual,
         python-qt4-gl,
         python-qwt5-qt4,
         python-numpy,
         python-gdal,
         python-formencode,
         python-mysqldb,
         python-pysqlite2,
         python-matplotlib,
         python-networkx,
         python-pkg-resources,
         python-sqlalchemy,
         python-sqlsoup,
         python-redis,
         redis-server
Suggests: grass,
          epigrass-doc,
          kate
Description: scientific tool for simulations and scenario analysis in network epidemiology
 Epigrass is a software for visualizing, analyzing and simulating of
 epidemic processes on geo-referenced networks.
 .
 EpiGrass can interact with the GRASS GIS from which it can obtain
 maps and other geo-referenced information. However, EpiGrass does not
 require an installation of the GRASS GIS for most of its features.

Package: epigrass-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: epigrass
Description: Documentation for EpiGrass, a network epidemiology tool
 Epigrass is a software for visualizing, analyzing and simulating of
 epidemic processes on geo-referenced networks.
 .
 EpiGrass can interact with the GRASS GIS from which it can obtain
 maps and other geo-referenced information. However, EpiGrass does not
 require an installation of the GRASS GIS for most of its features.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR=debian/epigrass

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -- --after-install='mv {destdir}/{install_dir}/Epigrass/egicon.png {destdir}/usr/share/pixmaps/epigrass.png; \
					    ln -s /usr/share/pixmaps/epigrass.png {destdir}/{install_dir}/Epigrass/egicon.png'

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs

=== debian/watch ===
version=3
http://pypi.debian.net/epigrass/epigrass-(.*).tar.gz

## epigrass 2.4.3

=== debian/changelog ===
epigrass (2.4.3-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 01 Jun 2016 19:00:29 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                python-virtualenv,
                python-sqlsoup,
                python-redis
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/epigrass/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/epigrass/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/epigrass/trunk/
 Homepage: http://pypi.python.org/pypi/epigrass/

## epigrass 2.4.7

=== debian/changelog ===
epigrass (2.4.7-1) unstable; urgency=medium

  * New upstream version
  * Rebuild
    Closes: #844798
  * debhelper 10
  * d/watch: version=4
  * New Build-Depends: cython, s/python/python-dev/
  * d/control: s/Architecture: all/Architecture: any/
  * Remove copy of doc in binary package
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sat, 19 Nov 2016 09:50:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
            Thorsten Alteholz <debian@alteholz.de>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
-               python,
+               python-dev,
                python-setuptools,
                python-virtualenv,
                python-sqlsoup,
-               python-redis
+               python-redis,
+               cython
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/epigrass/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/epigrass/trunk/
 Homepage: http://pypi.python.org/pypi/epigrass/
 
 Package: epigrass
-Architecture: all
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends},

=== debian/rules ===
#!/usr/bin/make -f

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
export PYBUILD_DESTDIR=debian/$(DEBPKGNAME)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -- --after-install='mv {destdir}/{install_dir}/Epigrass/egicon.png {destdir}/usr/share/pixmaps/epigrass.png; \
					    ln -s /usr/share/pixmaps/epigrass.png {destdir}/{install_dir}/Epigrass/egicon.png'

override_dh_installdocs:
	# no idea why doc is installed in main package as well - just remove this copy
	dh_installdocs
	rm debian/$(DEBPKGNAME)/usr/share/doc/$(DEBPKGNAME)/Epigrass.pdf*

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs

=== debian/watch ===
version=4
http://pypi.debian.net/epigrass/epigrass-(.*).tar.gz

## epigrass 2.5.0%2Bdfsg

=== debian/changelog ===
epigrass (2.5.0+dfsg-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:31:00 +0000

epigrass (2.5.0+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - yamllint cleanliness
    - added references to registries

  [ Andreas Tille ]
  * New upstream version
    Closes: #936487, #932677, #891994
  * Drop (optional) dependency from python-visual
    Closes: #911171
  * Point Vcs fields to salsa.debian.org
  * Point watch file to github
  * Drop unneeded get-orig-source target
  * Drop unneeded d/pyversions
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * (Build-)Depends: python3-tqdm
  * Exclude some tests that are requiring fully setup redis-server
  * Exclude sphinx result from upstream source and rather generate it
  * Remove desktop file since there is no GUI any more

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.

 -- Andreas Tille <tille@debian.org>  Fri, 13 Sep 2019 21:09:22 +0200

epigrass (2.4.7-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2017 20:14:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,39 +4,49 @@
            Thorsten Alteholz <debian@alteholz.de>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-dev,
-               python-setuptools,
-               python-virtualenv,
-               python-sqlsoup,
-               python-redis,
-               cython
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/epigrass/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/epigrass/trunk/
-Homepage: http://pypi.python.org/pypi/epigrass/
+               python3-dev,
+               python3-setuptools,
+               python3-virtualenv,
+               python3-sqlsoup,
+               python3-redis,
+               python3-requests,
+               python3-numpy,
+               python3-networkx,
+               python3-dbfread,
+               python3-pymysql,
+               python3-matplotlib,
+               python3-gdal,
+               python3-tqdm,
+               cython3,
+               python3-sphinx,
+               latexmk,
+               texlive-latex-extra,
+               texlive-fonts-recommended
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/med-team/epigrass
+Vcs-Git: https://salsa.debian.org/med-team/epigrass.git
+Homepage: https://github.com/fccoelho/epigrass
 
 Package: epigrass
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python:Depends},
-         python-sqlobject,
-         python-visual,
-         python-qt4-gl,
-         python-qwt5-qt4,
-         python-numpy,
-         python-gdal,
-         python-formencode,
-         python-mysqldb,
-         python-pysqlite2,
-         python-matplotlib,
-         python-networkx,
-         python-pkg-resources,
-         python-sqlalchemy,
-         python-sqlsoup,
-         python-redis,
+         ${python3:Depends},
+         python3-sqlobject,
+         python3-numpy,
+         python3-gdal,
+         python3-formencode,
+         python3-pymysql,
+         python3-matplotlib,
+         python3-networkx,
+         python3-pkg-resources,
+         python3-sqlalchemy,
+         python3-sqlsoup,
+         python3-redis,
+         python3-pyglet,
+         python3-tqdm,
          redis-server
 Suggests: grass,
           epigrass-doc,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export PYBUILD_DESTDIR=debian/$(DEB_SOURCE)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -f Epigrass/epimodels.c

override_dh_auto_build:
	dh_auto_build
	cp -a debian/missing-sources/Diagrama1.png docs/source
	$(MAKE) -C docs html latex
	cd docs/build/latex && make all-pdf
	rm docs/source/Diagrama1.png

override_dh_auto_install:
	dh_auto_install -- --after-install='mv {destdir}/{install_dir}/Epigrass/egicon.png {destdir}/usr/share/pixmaps/epigrass.png; \
					    ln -s /usr/share/pixmaps/epigrass.png {destdir}/{install_dir}/Epigrass/egicon.png'
	#PYTHONPATH=debian/epigrass/usr/lib/python3.7/dist-packages/ \
	#	debian/epigrass/usr/bin/epirunner --help
	find debian -name "*.desktop" -delete

override_dh_installdocs:
	# no idea why doc is installed in main package as well - just remove this copy
	dh_installdocs
	rm debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/Epigrass.pdf*

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# remove failing tests since redis server is not setup
	mkdir -p tests_ignore
	mv tests/test_manager.py tests/test_models.py tests/tests.py tests_ignore
	dh_auto_test || true
	mv tests_ignore/* tests
	rmdir tests_ignore
endif

## epigrass 3.0.0+dfsg

=== requirements.txt ===
pandas
geopandas
numpy
dash
matplotlib
dash_html_components
dash_core_components
networkx
plotly
SQLAlchemy
SQLObject
tqdm
Cython
dbfread
pweave
pymysql
fiona
shapely
altair
redis

=== debian/changelog ===
epigrass (3.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Build-Depends: python3-recommonmark

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 15:42:54 +0100

epigrass (2.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Thu, 01 Oct 2020 14:56:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Thorsten Alteholz <debian@alteholz.de>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-dev,
                python3-setuptools,
@@ -21,13 +21,15 @@
                python3-tqdm,
                cython3,
                python3-sphinx,
+               python3-recommonmark,
                latexmk,
                texlive-latex-extra,
                texlive-fonts-recommended
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/epigrass
 Vcs-Git: https://salsa.debian.org/med-team/epigrass.git
 Homepage: https://github.com/fccoelho/epigrass
+Rules-Requires-Root: no
 
 Package: epigrass
 Architecture: any

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
 https://github.com/fccoelho/epigrass/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## epigrass 3.0.3+dfsg

=== requirements.txt ===
pandas
geopandas
numpy
matplotlib
networkx
SQLAlchemy
SQLObject
tqdm
cython
dbfread
pweave
pymysql
fiona
shapely
altair
redis
epimodels
panel
holoviews
geoviews
scikit-image
datashader
